com.mathworks.mps.client.rest

## Enum MATLABRequestState

- java.lang.Object
- - java.lang.Enum<MATLABRequestState>
  - - com.mathworks.mps.client.rest.MATLABRequestState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MATLABRequestState>

      public enum MATLABRequestState
      extends java.lang.Enum<MATLABRequestState>

  The state of an asynchronous MATLAB execution request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED_STATE`
    `ERROR_STATE`
    `IN_QUEUE_STATE`
    `PROCESSING_STATE`
    `READING_STATE`
    `READY_STATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getState()`
    `static MATLABRequestState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MATLABRequestState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READING_STATE

          public static final MATLABRequestState READING_STATE

    - #### IN_QUEUE_STATE

          public static final MATLABRequestState IN_QUEUE_STATE

    - #### PROCESSING_STATE

          public static final MATLABRequestState PROCESSING_STATE

    - #### READY_STATE

          public static final MATLABRequestState READY_STATE

    - #### CANCELLED_STATE

          public static final MATLABRequestState CANCELLED_STATE

    - #### ERROR_STATE

          public static final MATLABRequestState ERROR_STATE

  - ### Method Detail

    - #### values

          public static MATLABRequestState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MATLABRequestState c : MATLABRequestState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MATLABRequestState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getState

          public java.lang.String getState()

Copyright 2010-2022 The MathWorks, Inc.